Bug 19747 - No help page linked for article requests
Summary: No help page linked for article requests
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-04 21:46 UTC by Barton Chittenden
Modified: 2019-10-14 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 19747: Add link to article requests help page (1.32 KB, patch)
2019-03-16 11:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19747: Add link to article requests help page (1.37 KB, patch)
2019-04-03 14:52 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 19747: Add link to article requests help page (1.43 KB, patch)
2019-04-08 11:23 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2017-12-04 21:46:32 UTC
Here's what I get:

Online help
Sorry, there is no help available for this topic, please refer to the Koha 17.05 manual (online).
Add help

The Koha 17.05 manual link does not take me to the help page for article requests.
Comment 1 Owen Leonard 2019-03-07 19:15:03 UTC
Switching version to 17.11 since the problem is in that version too and 17.05 is no longer maintained.
Comment 2 Katrin Fischer 2019-03-16 11:41:33 UTC
We could link to this page now: https://koha-community.org/manual//18.11/en/html/circulation.html#article-requests
Comment 3 Katrin Fischer 2019-03-16 11:55:55 UTC
Created attachment 86702 [details] [review]
Bug 19747: Add link to article requests help page

Newer manuals contain information about article requests.
This patch adds the link to the article request section
in the manual.

To test:
- Activate ArticleRequests system preference
- Go to Circulation > Article requests
- Click on Help
- Verify that you end up in the proper section of the manual
Comment 4 Michal Denar 2019-04-03 14:52:00 UTC
Created attachment 87362 [details] [review]
Bug 19747: Add link to article requests help page

Newer manuals contain information about article requests.
This patch adds the link to the article request section
in the manual.

To test:
- Activate ArticleRequests system preference
- Go to Circulation > Article requests
- Click on Help
- Verify that you end up in the proper section of the manual

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 5 Martin Renvoize 2019-04-08 11:23:40 UTC
Created attachment 87504 [details] [review]
Bug 19747: Add link to article requests help page

Newer manuals contain information about article requests.
This patch adds the link to the article request section
in the manual.

To test:
- Activate ArticleRequests system preference
- Go to Circulation > Article requests
- Click on Help
- Verify that you end up in the proper section of the manual

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-04-08 11:23:57 UTC
Super simple one to QA.. Passed.
Comment 7 Nick Clemens 2019-04-11 13:54:39 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-04-15 12:04:58 UTC
Pushed to 18.11.x for 18.11.05